#
# spec file for package deepin-override-tool
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define   import_path     github.com/linuxdeepin/deepin-desktop-schemas
%define   provider        github
%define   provider_tld    com
%define   project         linuxdeepin
%define   repo            deepin-desktop-schemas

Name:           deepin-override-tool
Version:        5.10.11
Release:        bp155.1.52
Summary:        Deepin override tool
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/linuxdeepin/deepin-desktop-schemas
Source0:        https://github.com/linuxdeepin/deepin-desktop-schemas/archive/%{version}/%{repo}-%{version}.tar.gz
BuildRequires:  golang-github-linuxdeepin-go-lib
BuildRequires:  golang-packaging
Requires:       dconf
AutoReqProv:    Off
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a tool for Deepin to creat schemas override profiles.

%package -n golang-%{provider}-%{project}-%{repo}
Summary:        Deepin override tool codes
Group:          Development/Languages/Golang
Requires:       golang-github-linuxdeepin-go-lib
BuildArch:      noarch
AutoReq:        Off
%{go_provides}

%description -n golang-%{provider}-%{project}-%{repo}
This is a tool for Deepin to creat schemas override profiles.

This package contains library source intended forbuilding other packages which
use import path with github.com/linuxdeepin/deepin-desktop-schemas prefix.

%prep
%setup -q -n %{repo}-%{version}

%build
export GO111MODULE=off
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%files
%defattr(-,root,root,-)
%doc README.md CHANGELOG.md
%license LICENSE
%{_bindir}/*

%files -n golang-%{provider}-%{project}-%{repo} -f file.lst
%defattr(-,root,root,-)

%changelog
* Sat Aug 27 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.11. Nothing changes in tool package
* Mon Apr  4 2022 Hillwood Yang <hillwoodroc@gmail.com>
- Update version to 5.10.6
  * Change pkg.deepin.io to github.com
* Wed Feb 23 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.2. Nothing changes in tool package
- Use last stable version of go to build
* Thu Dec 16 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.9.41. Nothing changes in tool package
* Wed Oct 27 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.9.18. Nothing changes in tool package
- Fix build on Leap 15.4+
* Thu Jul 29 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.9.16, nothing changes in tool package.
* Sat May 22 2021 Hillwood Yang <hillwood@opensuse.org>
- Keep golang version on 1.15 on Tumbleweed, the project does not support
  golang 1.16+
* Thu Mar 11 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.9.5, nothing changes in tool package.
* Fri Feb 26 2021 Hillwood Yang <hillwood@opensuse.org>
- Initial package for version 5.8.44
